Summary: Timelens creates visual timelines from video files
Name: timelens
Version: 0.1.1
Release: 1%{?dist}
Source: https://github.com/timelens/timelens/archive/refs/tags/%{version}.tar.gz
Source1: vendor.tar.bz2
URL:    https://timelens.blinry.org/
# taken from cargo-license
License: MIT
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: cargo-rpm-macros >= 24

#Patch0: gstreamer-0.23.0.patch

%if %{defined rhel}
# rust-toolset requires the `local` repo enabled on non-koji ELN build environments
BuildRequires: rust-toolset
%else
BuildRequires: rust-packaging
BuildRequires: rust-srpm-macros
%endif

%description
Visual timelines show you the structure of a video at a glance, by visualizing its 
color development. We think this makes video navigation more efficient, precise, and active.
You can use the timelens command line program to generate these timelines yourself, 
and choose from a range of plugins to integrate them with existing video players.


%prep
%autosetup -n %{name}-%{version} -p1 -a1
#%patch -P 0 -p1
%cargo_prep -v vendor

#%generate_buildrequires
#%cargo_generate_buildrequires


%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files
%defattr(-,root,root)
%license LICENSE.md
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc README.md
%{_bindir}/timelens

%changelog
* Fri Aug 16 2024 josef radinger <cheese@nosuchhost.net> - 0.1.1-1
- initial package

